#' ---
#' title: 
#' Subtitle: 
#' author: ' '
#' date: ' '
#' output: pdf document
#' ---

rm(list=ls())


install.packages("readxl")
install.packages("ggplot2")


library(readr)
library(dplyr)
library(openxlsx)
library(ggplot2)
library(DescTools)
library(tidyverse)
library(car)
library(Matrix)
library(stringr)
library(ggplot2)
library(knitr)
library(purrr)
library(psych)
library(psych)
library(corrplot)
library(AER)
library(plm)
library(lmtest)
library(corrplot)

## Setting working directory##
setwd("C:/Users/sbratli/Desktop/Master/R-filer")

ES <- read_delim("~/R/ES.txt", delim = "\t", 
                 +     escape_double = FALSE, trim_ws = TRUE)

## Reading data ##
ES <- read.delim("C:\Users\sbratli\Documents\R", header=FALSE)

## Removing the first row in the data set (containing header)##
Data_thesis <- ES[,]

##New Names for colomns in dataset##
names(Data_thesis) <- c("Company_ID","Year", "currency", "CEO_Gender", "Total_Operating_Revenue",
                        "Total_Current_Assets", "Total_Equity", "Total_other_Long_term_liabilities",
                        "Total Current Liabilities", "CEO Salary", "Board Size", "Number_of_female_directors",
                        "Total_fixed_assets_(Tangible)", "Share_owned_by_CEO_(Direct_ownership)", 
                        "Dividens_payable", "Company_names_for_the_listed_fimrs", "Industry_codes_at_level_two",
                        "Number_of_Employees", "Company_Age", "CEO_birth_year", "Aggregated_Fraction_held_by_Female_Owners_(Ultmate_ownership)",
                        "Income_before_extraordinary_times", "Is_independent_(ultmate_ownership)",
                        "Largest_family_sum_ult_ownership")


##Removing data with missing values Ceo Gender###
Data_thesis <- Data_thesis[!is.na(Data_thesis$CEO_Gender),] 

##Removing NA in industry codes ##
Data_thesis <- Data_thesis[!is.na(Data_thesis$Industry_codes_at_level_two),]

## Change Characters to Numeric
Data_thesis$Industry_codes_at_level_two <- gsub(",", ".", Data_thesis$Industry_codes_at_level_two)

Data_thesis$Industry_codes_at_level_two <- gsub("'", "", Data_thesis$Industry_codes_at_level_two)

as.numeric(Data_thesis$Industry_codes_at_level_two)

Data_thesis$CEO_Gender <- gsub("'", "", Data_thesis$CEO_Gender)

## Removing observations where Total current assets is smaller than Zero. 
Data_thesis <- Data_thesis[Data_thesis$Total_Current_Assets > 0, ]

## Removing observations where Total fixed assets (Tangible) is equal to Zero.
Data_thesis <- Data_thesis[Data_thesis$`Total_fixed_assets_(Tangible)` > 0, ]

## Removing observations where Total equity is equal to Zero.
Data_thesis <- Data_thesis[Data_thesis$Total_Equity > 0, ]

## Removing observations where Total operating revenue is negative##
Data_thesis <- Data_thesis[Data_thesis$Total_Operating_Revenue > 0, ]

## Removing missing values Board size
Data_thesis <- Data_thesis[!is.na(Data_thesis$`Board Size`), ]

## Removing observations where Share owned by ceo is equal to Zero. Vurdere C% droppe denne?? Viktig mtp store selskaper##
#Data_thesis <- Data_thesis[!is.na(Data_thesis$`Share_owned_by_CEO_(Direct_ownership)`), ]

## Removing observations where largest family has ceo is equal to Zero.
Data_thesis <- Data_thesis[!is.na(Data_thesis$Largest_family_sum_ult_ownership), ]

### Removing observations where debt is negative ### 
Data_thesis <- Data_thesis[!(Data_thesis$Total_other_Long_term_liabilities) < 0, ] 
Data_thesis <- Data_thesis[!(Data_thesis$`Total Current Liabilities`) < 0, ] 


## Changing number of empoyees to numeric ###
Data_thesis$Number_of_Employees<- gsub("'", "", Data_thesis$Number_of_Employees)
Data_thesis$Number_of_Employees <- ifelse(is.na(Data_thesis$Number_of_Employees), 0, as.numeric(Data_thesis$Number_of_Employees))
as.numeric(Data_thesis$Number_of_Employees)

###Removing observations with NA and 0 as value##
Data_thesis$`Share_owned_by_CEO_(Direct_ownership)` <- ifelse(is.na(Data_thesis$`Share_owned_by_CEO_(Direct_ownership)`), 0, Data_thesis$`Share_owned_by_CEO_(Direct_ownership)`)
Data_thesis$Dividens_payable <- ifelse(is.na(Data_thesis$Dividens_payable), 0, Data_thesis$Dividens_payable)
Data_thesis$`CEO Salary` <- ifelse(is.na(Data_thesis$`CEO Salary`), 0, Data_thesis$`CEO Salary`)


## Filtering out the companies with zero in revenues over all the years###
Data_thesis <- Data_thesis %>% group_by(Company_ID) %>% mutate(five_year_revenue = sum(Total_Operating_Revenue))
Data_thesis <- Data_thesis %>% group_by(Company_ID) %>% filter(max(five_year_revenue) != 0)


###Creating variables##
Data_thesis$Total_Liabilities <- (Data_thesis$`Total Current Liabilities`+ Data_thesis$Total_other_Long_term_liabilities)

##Reclass variables###
as.numeric(Data_thesis$`Share_owned_by_CEO_(Direct_ownership)`)
as.numeric(Data_thesis$Number_of_female_directors)



#### Filtering new vs. old firms####
new_firm_age <- 3

# Filter the data frame to keep only new firms
new_firms_df <- Data_thesis %>%
  filter(Company_Age <= new_firm_age)


###Female CEO rate####
total_ceos <- nrow(Data_thesis)
female_ceos <- sum(Data_thesis$CEO_Gender == "F")
female_ceo_rate <- (female_ceos / total_ceos) * 100

### Creating a new dataframe cotianing only new firms 3 years and younger###
new_firms_df <- new_firms_df[new_firms_df$Year >= 2000 & new_firms_df$Year < 2021, ]
total_ceos_new_firms <- nrow(new_firms_df)
female_ceos_new_firms <- sum(new_firms_df$CEO_Gender == "F")
female_ceo_rate_new_firms <- (female_ceos_new_firms / total_ceos_new_firms) * 100

##Checking proportions###
new_gender_proportions <- new_firms_df %>%
  filter(Year >= 2000 & Year <= 2020) %>%
  group_by(Year, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))

# Filter the proportions for females
new_female_proportions <- new_gender_proportions %>%
  filter(CEO_Gender == "F")

### Creating a table over proportion###
Table_Female_CEO <- as.data.frame(table(Data_thesis$Industry_codes_at_level_two))

# Calculate adjusted observations per year and percent of total observations
Table_Female_CEO$Adjusted_Obs <- Table_Female_CEO$Freq / 21
Table_Female_CEO$Percent_Obs <- prop.table(Table_Female_CEO$Freq) * 100

##Line of code we use to write different dataframes to excel - Changing variables each time####
write.xlsx(correlation_df, file.path("C:\\Users\\sbratli\\Documents\\R", "corr_matrix.xlsx"), rowNames = FALSE)


###Creating the CEO gender variable into a binary variable###
Data_thesis$gender <- ifelse(Data_thesis$CEO_Gender == "F", 1, 0)
new_firms_df$gender <- ifelse(new_firms_df$CEO_Gender == "F", 1, 0)

###Total assets calcualtion### 
Data_thesis$Total_Assets <- Data_thesis$Total_Current_Assets+Data_thesis$`Total_fixed_assets_(Tangible)`
new_firms_df$Total_Assets <- new_firms_df$Total_Current_Assets+new_firms_df$`Total_fixed_assets_(Tangible)`

### Profit Margin calculation ###
Data_thesis$Profit_Margin <- (Data_thesis$Income_before_extraordinary_times/Data_thesis$Total_Operating_Revenue)

###Capital intensity####
Data_thesis$Log_Capital_intensity <- log(Data_thesis$Total_Assets) / Data_thesis$Number_of_Employees
Data_thesis$Log_Capital_intensity[is.infinite(Data_thesis$Log_Capital_intensity)] <- NA

###ROA Calcualtions#####
Data_thesis$ROA <- Data_thesis$Income_before_extraordinary_times/Data_thesis$Total_Assets


### ROE calcualtion ##### 
Data_thesis$ROE <- Data_thesis$Income_before_extraordinary_times/Data_thesis$Total_Equity


####Leverage ratio calculation#### 
Data_thesis$Leverage_Ratio <- Data_thesis$Total_Liabilities/Data_thesis$Total_Equity


### Windsorizing different ratios #####
Data_thesis$ROA_winsorized <- Winsorize(Data_thesis$ROA, probs = c(0.01, 0.99), na.rm = TRUE)

##Leverage ratio windzorising
Data_thesis$Leverage_Ratio_winsorized <- Winsorize(Data_thesis$Leverage_Ratio, probs = c(0.01, 0.99), na.rm = TRUE)

### Profit margin windsorizing ###
Data_thesis$Profit_margin_winsorized <- Winsorize(Data_thesis$Profit_Margin, probs = c(0.01, 0.99), na.rm = TRUE)

### ROE windsorizing ###
Data_thesis$ROE_winsorized <- Winsorize(Data_thesis$ROE, probs = c(0.01, 0.99), na.rm = TRUE)

# Calculate average ROA for each CEO gender group
average_ROA_by_gender <- aggregate(Data_thesis$ROA_winsorized, by = list(Data_thesis$CEO_Gender), FUN = mean, na.rm = TRUE)

# Rename columns for better readability
colnames(average_ROA_by_gender) <- c("CEO_Gender", "Average_ROA")

# Print the results
print(average_ROA_by_gender)

# Add 1 to Total_Equity to avoid taking log of zero, then take logarithm
Data_thesis$Log_Total_Equity <- log(Data_thesis$Total_Equity + 1)


# Calculate average Leverage_Ratio for each CEO gender group
average_Leverage_Ratio_by_gender <- aggregate(Data_thesis$Leverage_Ratio_winsorized, by = list(Data_thesis$CEO_Gender), FUN = mean, na.rm = TRUE)

# Rename columns for better readability
colnames(average_Leverage_Ratio_by_gender) <- c("CEO_Gender", "Average_Leverage_Ratio")

# Print the results
print(average_Leverage_Ratio_by_gender)

###Making new variables to add to regression### 
Data_thesis$Log_Total_operating_revenue <- log(Data_thesis$Total_Operating_Revenue)

# Revenue Volatility
Data_thesis <- Data_thesis %>% 
  group_by(Company_ID) %>% 
  arrange(Year) %>% 
  mutate(Revenue_Volatility = sd(Total_Operating_Revenue, na.rm = TRUE) / mean(Total_Operating_Revenue, na.rm = TRUE))

Data_thesis$CEO_Age <- Data_thesis$Year - Data_thesis$CEO_birth_year


#####Checking female proportions ####
filtered_data <- Data_thesis %>%
  filter(Year >= 2000 & Year <= 2020)

# Calculate the proportions for each year
gender_proportions <- filtered_data %>%
  group_by(Year, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))

# Display the results
print(gender_proportions)


### Family firms, checking if 100 % owned family firms has a bigger porportion of Female CEOS##
Data_thesis <- Data_thesis %>%
  mutate(FamilyOwns100 = ifelse(Largest_family_sum_ult_ownership == 100, "Yes", "No"))

# Calculate the proportion of female CEOs when the family owns 50% and when they own less than 100%
gender_proportions_family_ownership <- Data_thesis %>%
  group_by(FamilyOwns100, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))

# Filter the results for female CEOs
female_ceo_proportions <- gender_proportions_family_ownership %>%
  filter(CEO_Gender == "F")

# Display the results
print(female_ceo_proportions)


##### Checking majority #####
Data_thesis <- Data_thesis %>%
  mutate(FamilyMajorityOwnership = ifelse(Largest_family_sum_ult_ownership > 50, "Yes", "No"))

# Calculate the proportion of female CEOs when the family has a majority ownership and when they don't
gender_proportions_family_ownership <- Data_thesis %>%
  group_by(FamilyMajorityOwnership, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))

# Filter the results for female CEOs
female_ceo_proportions <- gender_proportions_family_ownership %>%
  filter(CEO_Gender == "F")

# Display the results
print(female_ceo_proportions)

# Create a new column indicating if the CEO owns 100% of the company or not
Data_thesis <- Data_thesis %>%
  mutate(CEOOwns100 = ifelse(`Share_owned_by_CEO_(Direct_ownership)` == 100, "Yes", "No"))

# Calculate the proportion of female CEOs when the CEO owns 100% and when they own less than 100%
gender_proportions_ceo_ownership <- Data_thesis %>%
  group_by(CEOOwns100, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))

# Filter the results for female CEOs
female_ceo_proportions <- gender_proportions_ceo_ownership %>%
  filter(CEO_Gender == "F")

# Display the results
print(female_ceo_proportions)


#### Making PLot for propotion CEO gender#### 
gender_proportion_plot <- ggplot(gender_proportions, aes(x = Year, y = Proportion, color = CEO_Gender)) +
  geom_point() +
  geom_line(aes(group = CEO_Gender)) +
  theme_minimal() +
  labs(title = "Gender Proportions of CEOs by Year",
       x = "Year",
       y = "Proportion") +
  scale_x_continuous(breaks = seq(2000, 2020, 1))

# Display the plot
print(gender_proportion_plot)


### Average number of employees by CEO gender
average_employees_by_gender <- aggregate(new_firms_df$Number_of_Employees, by = list(new_firms_df$CEO_Gender), FUN = mean, na.rm = TRUE)

# Rename columns for better readability
colnames(average_employees_by_gender) <- c("CEO_Gender", "Average_Num_Employees")

# Print the results
print(average_employees_by_gender)


# Filter the data for family owned firms
family_owned_data <- Data_thesis %>%
  filter(Largest_family_sum_ult_ownership > 50)

# Calculate the proportions for each year
gender_proportions_family <- family_owned_data %>%
  group_by(Year, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))


# Filter the data for non-family owned firms
non_family_owned_data <- Data_thesis %>%
  filter(Largest_family_sum_ult_ownership <= 50)

# Calculate the proportions for each year
gender_proportions_non_family <- non_family_owned_data %>%
  group_by(Year, CEO_Gender) %>%
  summarise(Count = n()) %>%
  mutate(Proportion = Count / sum(Count))


# Filter the proportions for females
female_proportions_family <- gender_proportions_family %>%
  filter(CEO_Gender == "F")

print(female_proportions_family)


# Filter the proportions for females
female_proportions_non_family <- gender_proportions_non_family %>%
  filter(CEO_Gender == "F")


# Summary statistics for the whole sample
# For the whole sample
# Specify the column names for which you want the statistics
cols$stats_df <- c("Total_Operating_Revenue", "Total_Current_Assets", "Total_Equity", "Total_other_Long_term_liabilities", 
                   "Total Current Liabilities", "CEO Salary", "Board Size", "Number_of_female_directors", 
                   "Total_fixed_assets_(Tangible)", "Share_owned_by_CEO_(Direct_ownership)", "Dividens_payable", 
                   "Number_of_Employees", "Company_Age", "Aggregated_Fraction_held_by_Female_Owners_(Ultmate_ownership)",
                   "Income_before_extraordinary_times", "Is_independent_(ultmate_ownership)", "Largest_family_sum_ult_ownership", 
                   "Total_Liabilities", "Total_Assets", "ROA_winsorized", "Leverage_Ratio_winsorized", 
                   "Profit_margin_winsorized", "ROE_winsorized", "Log_Total_operating_revenue", "CEO_Age")


# Select the variables
selected_vars <- Data_thesis[c("ROA_winsorized", "ROE_winsorized", "Profit_margin_winsorized", 
                               "Total_Operating_Revenue", "Total_Assets", "Total_Equity", 
                               "Total_Liabilities", "Leverage_Ratio_winsorized", 
                               "Number_of_Employees", "Largest_family_sum_ult_ownership", 
                               "Log_Total_operating_revenue", "ROA_Change", 
                               "Log_Capital_intensity", "Revenue_Volatility")]

# Remove rows with missing values
selected_vars_complete <- na.omit(selected_vars)

# Generate the correlation matrix
correlation_matrix <- cor(selected_vars_complete)

# Convert the correlation matrix to a dataframe
correlation_df <- as.data.frame(correlation_matrix)

# Print the correlation dataframe
print(correlation_df)


### Calculation of CAGR### 
Data_thesis %>%
  arrange(Company_ID, Year) %>%
  group_by(Company_ID) %>%
  mutate(
    CAGR_ROA = ifelse(any(!is.na(ROA_winsorized)) & first(na.omit(ROA_winsorized)) != 0, (last(na.omit(ROA_winsorized)) / first(na.omit(ROA_winsorized)))^(1 / n()) - 1, NA),
    CAGR_ROE = ifelse(any(!is.na(ROE_winsorized)) & first(na.omit(ROE_winsorized)) != 0, (last(na.omit(ROE_winsorized)) / first(na.omit(ROE_winsorized)))^(1 / n()) - 1, NA),
    CAGR_Profit_Margin = ifelse(any(!is.na(Profit_margin_winsorized)) & first(na.omit(Profit_margin_winsorized)) != 0, (last(na.omit(Profit_margin_winsorized)) / first(na.omit(Profit_margin_winsorized)))^(1 / n()) - 1, NA),
    CAGR_Total_Operating_Revenue = ifelse(any(!is.na(Total_Operating_Revenue)) & first(na.omit(Total_Operating_Revenue)) != 0, (last(na.omit(Total_Operating_Revenue)) / first(na.omit(Total_Operating_Revenue)))^(1 / n()) - 1, NA)
  ) -> Data_thesis_with_CAGR

### Calcualte average ROA for each industry###
average_ROA_by_industry <- Data_thesis %>%
  group_by(Industry_Group) %>%
  summarise(Average_ROA = mean(ROA_winsorized, na.rm = TRUE))


##change in CEO gender ### binary####
Data_thesis <- Data_thesis %>%
  arrange(Company_ID, Year) %>%
  group_by(Company_ID) %>%
  mutate(
    CEO_Change = ifelse(lag(CEO_birth_year) != CEO_birth_year, 1, 0),
    CEO_Gender_Change = ifelse(CEO_Change == 1 & lag(CEO_Gender) == "M" & CEO_Gender == "F", 1,
                               ifelse(CEO_Change == 1, 0, NA))
  ) %>%
  ungroup()

###Change in ROA - using laged ROA.###
Data_thesis <- Data_thesis %>%
  arrange(Company_ID, Year) %>%
  group_by(Company_ID) %>%
  mutate(ROA_Change = ROA_winsorized - lag(ROA_winsorized)) %>%
  ungroup()


### Creating dummies for time-fixed effects ####
Data_thesis <- Data_thesis %>%
  mutate(year_factor = as.factor(Year)) %>%
  bind_cols(as.data.frame(model.matrix(~ year_factor - 1, data = .)))


year_dummies <- model.matrix(~ as.factor(Year) - 1, data = Data_thesis)
head(year_dummies)

# Run the linear regression with year dummies
year_dummies <- colnames(Data_thesis)[grepl("year_factor", colnames(Data_thesis))]
year_formula <- paste(year_dummies, collapse = " + ")

# Convert the Year column into a factor
Data_thesis$year_factor <- as.factor(Data_thesis$Year)

# Create the year_formula
year_formula <- paste("year_factor", levels(Data_thesis$year_factor)[-1], sep = "", collapse = " + ")

# Replace the space in the variable name with an underscore
names(Data_thesis)[10] <- "CEO_Salary"
names(Data_thesis)[11] <- "Board_size"

names(Industry_codes)[3] <- "Industry_code_2009"
names(Industry_codes)[9] <- "Industry_code_2002"

###Industry code grouping#### 
#Removing for the 2009 industry codes## 
Industry_codes$Industry_code_2009 <- as.integer(Industry_codes$Industry_code_2009)

#Removing for the 2002 industry codes## 
Industry_codes$Industry_code_2002 <- as.integer(Industry_codes$Industry_code_2002)

# Perform the conditional join
Data_thesis <- Data_thesis %>%
  mutate(Industry_Group = ifelse(Year <= 2008, 
                                 Industry_codes$Group[match(Industry_codes_at_level_two, 
                                                            Industry_codes$Industry_code_2002)], 
                                 ifelse(Year >= 2009 & Year <= 2021,
                                        Industry_codes$Group[match(Industry_codes_at_level_two, 
                                                                   Industry_codes$Industry_code_2009)],
                                        NA)))

###
# Create industry group dummies
most_common_group <- names(which.max(table(Data_thesis$Industry_Group)))
# Replace NA values with the most common industry group
Data_thesis$Industry_Group[is.na(Data_thesis$Industry_Group)] <- most_common_group

# Convert the Industry_Group column into a factor
Data_thesis$industry_factor <- as.factor(Data_thesis$Industry_Group)

# Create the industry_formula
industry_formula <- paste("industry_factor", levels(Data_thesis$industry_factor)[-1], sep = "", collapse = " + ")

# Apply model.matrix to create industry dummies
Data_thesis <- Data_thesis %>%
  mutate(industry_factor = as.factor(Industry_Group)) %>%
  bind_cols(as.data.frame(model.matrix(~ industry_factor - 1, data = .)))

Data_thesis$Female_directors_proportion <- Data_thesis$Number_of_female_directors / Data_thesis$Board_size




#############################################
###############Regressions###################
#############################################

# Run the linear regression with both year and industry fixed effects
# Logistic regression with both year and industry fixed effects
gender_logistic <- glm(as.formula(paste("gender ~ + Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), family = binomial, data = Data_thesis)

# Without time effects and industry
Gender_Wholesample_wo <- glm(gender ~ Log_Capital_intensity + Company_Age + Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = Data_thesis)


###Logistic regression on female directors on the board### 
board_of_directors <- glm(as.formula(paste("gender ~ Female_directors_proportion + Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), family = binomial, data = Data_thesis)


####################################################################
#Run the linear regression with both year and industry fixed effects
ROA_Wholesample <- lm(as.formula(paste("ROA_winsorized ~ gender + Log_Capital_intensity  + Company_Age+
Log_Total_Equity + Revenue_Volatility + Log_Total_operating_revenue +", year_formula, "+", industry_formula)), data = Data_thesis)

vif## Without time effects and industry
ROA_Wholesample_wo <- lm(ROA_winsorized ~ gender + Log_Capital_intensity + Company_Age + Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = Data_thesis)
####################################################################

ROA_Female_directors <- lm(as.formula(paste("ROA_winsorized ~ Female_directors_proportion + Log_Capital_intensity  + Company_Age +
Log_Total_Equity + Revenue_Volatility + Log_Total_operating_revenue +", year_formula, "+", industry_formula)), data = Data_thesis)



####################################################################
#Run the linear regression with both year and industry fixed effects
ROE_Wholesample <- lm(as.formula(paste("ROE_winsorized ~ gender + Log_Capital_intensity + Company_Age + Leverage_Ratio_winsorized + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), data = Data_thesis)

#Run the linear regression without both year and industry fixed effects
ROE_Wholesample_wo <- lm(ROE_winsorized ~ gender + Log_Capital_intensity + Company_Age + Log_Total_operating_revenue + Revenue_Volatility, data = Data_thesis)
####################################################################

## ROA CHANGE CHANGE IN GENDER###
Delta_roa <- lm(as.formula(paste("ROA_Change ~ CEO_Gender_Change + Log_Capital_intensity + 
+ Log_Total_Equity + Company_Age + Log_Total_operating_revenue +", year_formula, "+", industry_formula)), data = Data_thesis, na.action = na.exclude)


####################################################################
#Run the linear regression with both year and industry fixed effects
Profit_margin_Wholesample <- lm(as.formula(paste("Profit_margin_winsorized ~ gender + Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), data = Data_thesis)

#Without time effects and industry
Profit_margin_Wholesample_wo <- lm(Profit_margin_winsorized ~ gender + Log_Capital_intensity + Company_Age + Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = Data_thesis)
####################################################################


####################################################################
# Run the linear regression with both year and industry fixed effects
CAGR_ROA_Wholesample <- lm(as.formula(paste("CAGR_ROA ~ gender + Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), data = Data_thesis_with_CAGR)

# Without time effects and industry
CAGR_ROA_Wholesample_wo <- lm(CAGR_ROA ~ gender + Log_Capital_intensity + Company_Age + Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = Data_thesis_with_CAGR)
####################################################################

# Create binary variable: 1 for change from M to F, 0 for change from M to M or F to F
ceo_changes <- ceo_changes %>%
  mutate(CEO_Gender_Change_Binary = ifelse(lag(CEO_Gender) == "M" & CEO_Gender == "F", 1, 0))


# Print the summary of the regression results
summary(ROA_Wholesample)

summary(ROA_Wholesample_wo)

summary(ROE_Wholesample)

summary(ROE_Wholesample_wo)

summary(Profit_margin_Wholesample)

summary(Profit_margin_Wholesample_wo)

summary(CAGR_ROA_Wholesample)

summary(Gender_Wholesample)


#########################################################
############### Regressions new firms ###################
#########################################################
# Run the logistic regression with both year and industry fixed effects
gender_logistic_newfirms <- glm(as.formula(paste("gender ~ Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue +", year_formula, "+", industry_formula)), family = binomial, data = new_firms_df)

# Without time effects and industry
Gender_Wholesample_wo_newfirms <- glm(gender ~ Total_Assets + Number_of_Employees + Company_Age + Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = new_firms_df)

####################################################################
# Run the linear regression with both year and industry fixed effects
ROA_Wholesample_newfirms <- lm(as.formula(paste("ROA_winsorized ~ gender + Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue +", year_formula, "+", industry_formula)), data = new_firms_df)

# Without time effects and industry
ROA_Wholesample_wo_newfirms <- lm(ROA_winsorized ~ gender + Number_of_Employees + Company_Age + Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = new_firms_df)

# Estimate your IV model
iv_model <- ivreg(as.formula(paste("ROA_winsorized ~ gender + Number_of_Employees + Company_Age +
Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula, "| gender + Number_of_Employees + Company_Age + Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula, "+ InstrumentVar")), data = Data_thesis)


#########################################################
############### Regressions family firms ################
#########################################################
# Run the logistic regression with both year and industry fixed effects
gender_logistic_family <- glm(as.formula(paste("gender ~ Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), family = binomial, data = family_owned_data)

# Without time effects and industry
Gender_Wholesample_wo_family <- glm(gender ~ Total_Assets + Number_of_Employees + Company_Age + Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = family_owned_data)

####################################################################
# Run the linear regression with both year and industry fixed effects
ROA_Wholesample_family <- lm(as.formula(paste("ROA_winsorized ~ gender + Log_Capital_intensity + Company_Age +
Log_Total_Equity + Log_Total_operating_revenue + Revenue_Volatility +", year_formula, "+", industry_formula)), data = family_owned_data)

# Without time effects and industry
ROA_Wholesample_wo_family <- lm(ROA_winsorized ~ gender + Number_of_Employees + Company_Age + Total_Equity + Log_Total_operating_revenue + Revenue_Volatility, data = family_owned_data)


# Calculate VIF values
vif_values <- vif(ROA_Wholesample)
vif_values



